Subject: bug#36558: When the user forgets the filename when using M-x grep

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Thu, 11 Jul 2019 08:38:06 +0800

>>>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:
LI> 積丹尼 Dan Jacobson <[email-masked]> writes:

>> I don't think the M-x grep command has the ability for the user to
>> change the default prompt from the current
>> 
>> Run grep (like this): grep --color -nH --null -e
>> 
>> to the rather more sophisticated
>> 
>> Run grep (like this): grep --color -nH --null -e [] *
>> 
>> where "[]" represents where the cursor should be placed when prompting
>> the user.

Indeed, grep.el is already so complicated...

LI> I virtually never want to grep all files in a directory, so having to

I'm the opposite.

LI> hit `C-k' first would be a disadvantage, I think.  And this is the kind
LI> of interface twiddling that annoys people used to the old defaults, so

I didn't say changing any defaults. I was asking for the "ability"...

LI> I'm closing this bug report.